Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066625 - UserWarning when importing fedmsg.meta
Summary: UserWarning when importing fedmsg.meta
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedmsg
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-18 18:05 UTC by Till Maas
Modified: 2014-10-13 21:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-30 14:11:45 UTC


Attachments (Terms of Use)

Description Till Maas 2014-02-18 18:05:41 UTC
Description of problem:
$ python -c "import fedmsg.meta"
/usr/lib/python2.7/site-packages/fedmsg/meta/__init__.py:61: UserWarning: Module backports was already imported from /usr/lib64/python2.7/site-packages/backports/__init__.pyc, but /usr/lib/python2.7/site-packages is being added to sys.path
  import pkg_resources


Version-Release number of selected component (if applicable):
fedmsg-0.7.5-1.fc19

How reproducible:
always

Comment 1 Ralph Bean 2014-02-18 19:41:14 UTC
"Taking it on" upstream:  https://github.com/fedora-infra/fedmsg/pull/223

Comment 2 Fedora Update System 2014-02-22 00:09:37 UTC
fedmsg-0.7.6-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedmsg-0.7.6-2.el6

Comment 3 Fedora Update System 2014-02-22 00:09:58 UTC
fedmsg-0.7.6-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedmsg-0.7.6-2.fc20

Comment 4 Fedora Update System 2014-02-22 00:10:20 UTC
fedmsg-0.7.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedmsg-0.7.6-2.fc19

Comment 5 Till Maas 2014-02-24 19:36:20 UTC
there is Still a user warning when fedmsg.meta.make_processors() is called:


$ python -c 'import fedmsg.meta; fedmsg.meta.make_processors()'                                                                                                       
/usr/lib/python2.7/site-packages/fedmsg/meta/__init__.py:86: UserWarning: Module backports was already imported from /usr/lib64/python2.7/site-packages/backports/__init__.pyc, but /usr/lib/python2.7/site-packages is being added to sys.path
  import pkg_resources

Comment 6 Fedora Update System 2014-03-11 04:11:33 UTC
fedmsg-0.7.6-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-03-25 14:46:08 UTC
fedmsg-0.7.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedmsg-0.7.7-1.fc19

Comment 8 Fedora Update System 2014-03-25 14:46:24 UTC
fedmsg-0.7.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedmsg-0.7.7-1.el6

Comment 9 Fedora Update System 2014-04-04 09:42:06 UTC
fedmsg-0.7.7-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Till Maas 2014-04-04 10:34:42 UTC
Still broken with fedmsg-0.7.7-1.fc19:
$ python -c 'import fedmsg.meta; fedmsg.meta.make_processors()'
/usr/lib/python2.7/site-packages/fedmsg/meta/__init__.py:87: UserWarning: Module backports was already imported from /usr/lib64/python2.7/site-packages/backports/__init__.pyc, but /usr/lib/python2.7/site-packages is being added to sys.path
  import pkg_resources
No handlers could be found for logger "fedmsg"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/fedmsg/meta/__init__.py", line 98, in make_processors
    processors.append(DefaultProcessor(_, **config))
  File "/usr/lib/python2.7/site-packages/fedmsg/meta/base.py", line 71, in __init__
    config['topic_prefix_re'], self.__name__.lower()))
KeyError: 'topic_prefix_re'

Comment 11 Ralph Bean 2014-04-04 13:48:21 UTC
I cannot duplicate on f20:

$ python -c 'import fedmsg.config; import fedmsg.meta; fedmsg.meta.make_processors(**fedmsg.config.load_config())'
No handlers could be found for logger "fedmsg"

Comment 12 Till Maas 2014-04-04 18:19:10 UTC
(In reply to Ralph Bean from comment #11)
> I cannot duplicate on f20:
> 
> $ python -c 'import fedmsg.config; import fedmsg.meta;
> fedmsg.meta.make_processors(**fedmsg.config.load_config())'
> No handlers could be found for logger "fedmsg"

It only happens on F19 here, too. You can easily test it with machines from here:
https://fedoraproject.org/wiki/Test_Machine_Resources_For_Package_Maintainers#FAQ

Comment 13 Fedora Update System 2014-04-15 23:32:33 UTC
fedmsg-0.7.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Till Maas 2014-06-01 16:06:45 UTC
It happens on EPEL6 as well: (this is from autosign01):

$ python -c 'import fedmsg.config; import fedmsg.meta; fedmsg.meta.make_processors(**fedmsg.config.load_config())'
/usr/lib/python2.6/site-packages/fedmsg/meta/__init__.py:94: UserWarning: Module backports was already imported from /usr/lib64/python2.6/site-packages/backports/__init__.pyc, but /usr/lib/python2.6/site-packages is being added to sys.path
  import pkg_resources

Comment 15 Ralph Bean 2014-08-20 14:56:17 UTC
OK, I think I have tracked down the issue to those backports modules.  This pull-request upstream should eventually fix the issue:

https://bitbucket.org/brandon/backports.ssl_match_hostname/pull-request/1/declare-namespace-package/diff

Comment 16 Ralph Bean 2014-08-20 15:00:52 UTC
Also here:  https://github.com/peterjc/backports.lzma/pull/7

Comment 17 Ralph Bean 2014-09-15 13:28:01 UTC
Progress upstream.  It was merged into the development branch.  https://bitbucket.org/brandon/backports.ssl_match_hostname/pull-request/1/declare-namespace-package/diff#comment-3065648

Comment 18 Fedora Update System 2014-09-17 19:42:02 UTC
python-backports-ssl_match_hostname-3.4.0.2-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-backports-ssl_match_hostname-3.4.0.2-4.fc21

Comment 19 Fedora Update System 2014-09-17 19:42:13 UTC
python-backports-ssl_match_hostname-3.4.0.2-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-backports-ssl_match_hostname-3.4.0.2-4.fc20

Comment 20 Fedora Update System 2014-09-17 19:42:22 UTC
python-backports-ssl_match_hostname-3.4.0.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-backports-ssl_match_hostname-3.4.0.2-4.fc19

Comment 21 Fedora Update System 2014-09-17 19:42:32 UTC
python-backports-ssl_match_hostname-3.4.0.2-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-backports-ssl_match_hostname-3.4.0.2-4.el6

Comment 22 Fedora Update System 2014-09-28 04:29:40 UTC
python-backports-ssl_match_hostname-3.4.0.2-4.fc20 has been pushed to the Fedora 20 stable repository.

Comment 23 Fedora Update System 2014-09-30 01:59:57 UTC
python-backports-ssl_match_hostname-3.4.0.2-4.fc19 has been pushed to the Fedora 19 stable repository.

Comment 24 Fedora Update System 2014-10-08 18:56:52 UTC
python-backports-ssl_match_hostname-3.4.0.2-4.fc21 has been pushed to the Fedora 21 stable repository.

Comment 25 Fedora Update System 2014-10-13 21:39:37 UTC
python-backports-ssl_match_hostname-3.4.0.2-4.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.